Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.formula
Interface FormulaParsingWorkbook

All Known Implementing Classes:
  HSSFEvaluationWorkbook

    public interface FormulaParsingWorkbook

Abstracts a workbook for the purpose of formula parsing.
For POI internal use only

Author:
  Josh Micich

Method Summary
`int` | `getExternalSheetIndex(java.lang.String sheetName)` gets the externSheet index for a sheet from this workbook
`int` | `getExternalSheetIndex(java.lang.String workbookName, java.lang.String sheetName)` gets the externSheet index for a sheet from an external workbook
`EvaluationName` | `getName(java.lang.String name, int sheetIndex)` named range name matching is case insensitive
`NameXPtg` | `getNameXPtg(java.lang.String name)`
`SpreadsheetVersion` | `getSpreadsheetVersion()` Returns an enum holding spreadhseet properties specific to an Excel version ( max column and row numbers, max arguments to a function, etc.)

Method Detail

### getName

    EvaluationName getName(java.lang.String name,
                           int sheetIndex)

  named range name matching is case insensitive

### getNameXPtg

    NameXPtg getNameXPtg(java.lang.String name)

### getExternalSheetIndex

    int getExternalSheetIndex(java.lang.String sheetName)

  gets the externSheet index for a sheet from this workbook

### getExternalSheetIndex

    int getExternalSheetIndex(java.lang.String workbookName,
                              java.lang.String sheetName)

  gets the externSheet index for a sheet from an external workbook

  Parameters:
    `workbookName` - e.g. "Budget.xls"
    `sheetName` - a name of a sheet in that workbook

### getSpreadsheetVersion

    SpreadsheetVersion getSpreadsheetVersion()

  Returns an enum holding spreadhseet properties specific to an Excel version ( max column and row numbers, max arguments to a function, etc.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD